<?php
	include 'app/OpenSim.php';
	$opensim = new OpenSim();

	$HTML = new HTML();
	$HTML->setHTMLTitle("Spalsh");
	$HTML->importHTML("viewerWelcomeImages.html");

	$IMAGES = array();
	if ($handle = opendir('./data/viewerWelcomeImages')) 
	{
		while (false !== ($entry = readdir($handle))) 
		{
			if ($entry != "." && $entry != "..") 
			{
				$IMAGES = array_merge($IMAGES, array("./data/viewerWelcomeImages/".$entry));
			}
		}
	
		closedir($handle);
	}

	shuffle($IMAGES);

	$HTML->ReplaceLayoutInhalt("%%JSONIMAGEARRAY%%", json_encode($IMAGES)); 
	$HTML->ReplaceLayoutInhalt("%%GRIDNAME%%", $RUNTIME['GRID']['NAME']); 
	$HTML->ReplaceLayoutInhalt("%%SHOWNEWS%%", $RUNTIME['GRID']['MAIN_NEWS']); 
	

	$HTML->ReplaceLayoutInhalt("%%SHOWSTATS%%", "Registrierte User: ".$opensim->getUserCount()."<br>Regionen: ".$opensim->getRegionCount()."<br>Aktuell Online: ".($opensim->getOnlineCount()-1)); 


	$HTML->build();
	echo $HTML->ausgabe();
?>